Forum général.général config wifi => wpa supplicant

Posté par . Licence CC by-sa.
Tags : aucun
0
5
fév.
2018

bonjour

je suis à la recherche d'une distribution obsolete (2012 maxi) sur laquelle la configuration wifi se fait par interface graphique, et celle ci s'interprete par la génération d'un fichier de configuration sous le standard du wpa supplicant;
mon objectif est de me connecter aux réseaux wifi 802.11x en wpa_supplicant, à partir d'une distribution ne supportant que les réseaux wifi PSK.

je vous remercie :)

  • # Pourquoi utiliser une distro obsolète?

    Posté par . Évalué à 3.

    Je n'ai jamais vérifié, mais je doute que wpa ne soit pas capable d'utiliser des méthodes dépréciées…

    Si je résume et comprend bien, ton véritable problème, c'est bien de configurer une machine pour se connecter via wifi par PSK sans passer par une ligne de commande?

    • [^] # Re: Pourquoi utiliser une distro obsolète?

      Posté par . Évalué à 1.

      bonjour

      déjà merci pour la réponse rapide

      non, le probleme n'est pas de se connecter en wifi à des réseaux psk (entendons bien, le psk c'est une clé partagée pour tous), mais de passer par des réseaux wifi 802.11x avec authentification individuelle (type ttl/ttls, msvchapv2..).

      Or, ma distrib préférée ne sait pas les gérer, et les mastodontes (debien, fedora-likes..) les gèrent mais en générant leur propre syntaxe de fichier (incompatible wpa_supp)

      donc mon idée est de trouver une distrib qui m'offre une interface pour configurer le wifi et de générer derrière le fichier wpa_supplicant, qui lui sait sans doute s'y connecter (et qui n'est pas utilisé par défaut dans ma distrib préférée)

      • [^] # Re: Pourquoi utiliser une distro obsolète?

        Posté par . Évalué à 4.

        Bon ben j'ai bien fait de demander des éclaircissements alors: je ne vois vraiment pas l'intérêt de prendre une distro obsolète, et j'avais compris «protocole de sécurité cassé depuis perpette» quand tu parlais de PSK.

        Pour le coup, par défaut Debian, quand installée avec un monstre du genre gnome ou KDE, utilise networkmanager, mais ce n'est pas une obligation (je ne l'utilise pas, par exemple).

        À priori, il existe une GUI pour wpasupplicant, dans debian le paquet qui l'inclue se nomme wpagui, je ne l'ai jamais testé personnellement, mais je n'ai jamais eu besoin non plus de jouer avec des trucs exotiques (accessoirement, je ne savais pas que ça existait ;)).
        Cette GUI ne conviens pas à ton besoin?

      • [^] # Re: Pourquoi utiliser une distro obsolète?

        Posté par . Évalué à 2.

        Tu devrais trouver ton bonheur ici : http://www.cs.upc.edu/lclsi/Manuales/wireless/files/wpa_supplicant.conf

        Je ne vois pas la difficulté à "générer" toi-même un tel fichier, c'est 10 lignes. Trouve le bon exemple dans la liste, et personnalise-le avec SSID, mot de passe…

        En théorie, la théorie et la pratique c'est pareil. En pratique c'est pas vrai.

        • [^] # Re: Pourquoi utiliser une distro obsolète?

          Posté par . Évalué à 1.

          Je ne vois pas la difficulté à "générer" toi-même un tel fichier, c'est 10 lignes.

          vérifier qu'avec une config validée par l'interface graphique le probleme de connexion ne vient pas de l'utilisateur, mais de l'ordinateur.

          c'est une connexion ttls, avec mschapv2 et tout le bordel.

          donc j'ai besoin d'une distro qui parvient à s'y connecter, en wpa_supplicant à la mano jusque là la connexion a toujours échoué.

          C'est pas un truc pépète pour une petite connexion là, mais bien six mois de recherche derrière :) :)

Suivre le flux des commentaires

Note : les commentaires appartiennent à ceux qui les ont postés. Nous n'en sommes pas responsables.